explosion = {}

function explosion.spawn(hitX,hitY)
	local boom = {}
	boom.radius = 1
	boom.x = hitX
	boom.y = hitY

	table.insert(explosion,boom)
end


function explosion.update(dt)
	for i,v in ipairs(explosion) do
		v.radius = v.radius + 50 * dt
		if v.radius > 100 then
			table.remove(explosion,i)
		end
	end
end

function explosion.draw()
	for i,v in ipairs(explosion) do
		love.graphics.circle("line", v.x, v.y, v.radius, 100)

	end
end

function updateExplosion(dt)
	explosion.update(dt)
end

function drawExplosion()
	explosion.draw()
end

