damage = {}

function damage.spawn(hitDamage,dType)
	newD = {}

	newD.text = hitDamage
	newD.x = player.x
	newD.y = player.y
	newD.nY = player.y - 30
	newD.moving = false
	newD.dType = dType
	table.insert(damage,newD)
end


function damage.update(dt)
	for i,v in ipairs(damage) do
		if v.moving == false then
			damage.move(i)
			v.moving = true
		end
		if v.y <= v.nY then
			table.remove(damage,i)
		end
	end
end

function damage.move(i)
	flux.to(damage[i],1,{y = damage[i].nY})
	flux.update(love.timer.getDelta())
end

function damage.draw()
	for i,v in ipairs(damage) do
		if v.dType == "Hurt" then
			love.graphics.setColor(0,0,255)
			love.graphics.print("-"..v.text,v.x,v.y)
		elseif v.dType == "Health" then
			love.graphics.setColor(255,0,0)
			love.graphics.print("+"..v.text,v.x,v.y)
		end
	end
end

function updateDamage(dt)
	damage.update(dt)
end

function drawDamage()
	damage.draw()
end

