enemies = {}

timer = 0
enemyCount = 0
wave = 1
enemyLimit = 5
local timeLimit = 100
local waiting = false
local debounce = false
function enemies.spawn(eType,speed)
	if eType == "green" then
		enemy = {}
		enemy.oSpeed = speed
		enemy.damage = 30
		enemy.color = eType
		enemy.height = 30
		enemy.width = 30
		enemy.xVel = 0
		enemy.yVel = 0
		enemy.health = 1
		enemy.hitPoints = 10
		enemy.friction = .99
		ran = love.math.random(1,4)
		if ran == 1 then
			enemy.x = 0 - enemy.width
			enemy.y = math.random(0,love.graphics.getHeight())
		end
		if ran == 2 then
			enemy.x = love.graphics.getWidth() + enemy.width
			enemy.y = math.random(0,love.graphics.getHeight())
		end
		if ran == 3 then
			enemy.x = math.random(0,love.graphics.getWidth())
			enemy.y = 0 - enemy.height
		end
		if ran == 4 then
			enemy.x = math.random(0,love.graphics.getWidth())
			enemy.y = love.graphics.getHeight() + enemy.height
		end
		

		enemy.speed = speed
		table.insert(enemies,enemy)
	end
	if eType == "blue" then
		enemy = {}
		enemy.oSpeed = speed
		enemy.damage = 25
		enemy.color = eType
		enemy.height = 20
		enemy.width = 20
		enemy.xVel = 0
		enemy.yVel = 0
		enemy.health = 1
		enemy.hitPoints = 20
		enemy.friction = .99
		ran = love.math.random(1,4)
		if ran == 1 then
			enemy.x = 0 - enemy.width
			enemy.y = math.random(0,love.graphics.getHeight())
		end
		if ran == 2 then
			enemy.x = love.graphics.getWidth() + enemy.width
			enemy.y = math.random(0,love.graphics.getHeight())
		end
		if ran == 3 then
			enemy.x = math.random(0,love.graphics.getWidth())
			enemy.y = 0 - enemy.height
		end
		if ran == 4 then
			enemy.x = math.random(0,love.graphics.getWidth())
			enemy.y = love.graphics.getHeight() + enemy.height
		end
		

		enemy.speed = speed
		table.insert(enemies,enemy)
	end
	if eType == "pink" then
		enemy = {}
		enemy.oSpeed = speed
		enemy.damage = 20
		enemy.color = eType
		enemy.height = 15
		enemy.width = 15
		enemy.xVel = 0
		enemy.yVel = 0
		enemy.health = 1
		enemy.friction = .99
		enemy.hitPoints = 30
		ran = love.math.random(1,4)
		if ran == 1 then
			enemy.x = 0 - enemy.width
			enemy.y = math.random(0,love.graphics.getHeight())
		end
		if ran == 2 then
			enemy.x = love.graphics.getWidth() + enemy.width
			enemy.y = math.random(0,love.graphics.getHeight())
		end
		if ran == 3 then
			enemy.x = math.random(0,love.graphics.getWidth())
			enemy.y = 0 - enemy.height
		end
		if ran == 4 then
			enemy.x = math.random(0,love.graphics.getWidth())
			enemy.y = love.graphics.getHeight() + enemy.height
		end
		

		enemy.speed = speed
		table.insert(enemies,enemy)
	end
	if eType == "yellow" then
		enemy = {}
		enemy.oSpeed = speed
		enemy.damage = 15
		enemy.color = eType
		enemy.height = 30
		enemy.width = 30
		enemy.xVel = 0
		enemy.yVel = 0
		enemy.health = 2
		enemy.hitPoints = 40
		enemy.friction = .99
		ran = love.math.random(1,4)
		if ran == 1 then
			enemy.x = 0 - enemy.width
			enemy.y = math.random(0,love.graphics.getHeight())
		end
		if ran == 2 then
			enemy.x = love.graphics.getWidth() + enemy.width
			enemy.y = math.random(0,love.graphics.getHeight())
		end
		if ran == 3 then
			enemy.x = math.random(0,love.graphics.getWidth())
			enemy.y = 0 - enemy.height
		end
		if ran == 4 then
			enemy.x = math.random(0,love.graphics.getWidth())
			enemy.y = love.graphics.getHeight() + enemy.height
		end
		

		enemy.speed = speed
		table.insert(enemies,enemy)
	end
	if eType == "lightBlue" then
		enemy = {}
		enemy.oSpeed = speed
		enemy.damage = 15
		enemy.color = eType
		enemy.height = 20
		enemy.width = 20
		enemy.xVel = 0
		enemy.yVel = 0
		enemy.health = 2
		enemy.hitPoints = 50
		enemy.friction = .99
		ran = love.math.random(1,4)
		if ran == 1 then
			enemy.x = 0 - enemy.width
			enemy.y = math.random(0,love.graphics.getHeight())
		end
		if ran == 2 then
			enemy.x = love.graphics.getWidth() + enemy.width
			enemy.y = math.random(0,love.graphics.getHeight())
		end
		if ran == 3 then
			enemy.x = math.random(0,love.graphics.getWidth())
			enemy.y = 0 - enemy.height
		end
		if ran == 4 then
			enemy.x = math.random(0,love.graphics.getWidth())
			enemy.y = love.graphics.getHeight() + enemy.height
		end
		

		enemy.speed = speed
		table.insert(enemies,enemy)
	end
end

function enemies.move(dt)
	for i,v in ipairs(enemies) do
		v.x = v.x + v.xVel
		v.y = v.y + v.yVel
		v.xVel = v.xVel * v.friction
		v.yVel = v.yVel * v.friction
		if v.x < player.x then
			v.xVel = v.xVel + v.speed * dt
		end
		if v.x > player.x then
			v.xVel = v.xVel - v.speed * dt
		end
		if v.y < player.y then
			v.yVel = v.yVel + v.speed * dt
		end
		if v.y > player.y then
			v.yVel = v.yVel - v.speed * dt
		end
	end
end

function enemies.checkHit()
	for o,b in ipairs(enemies) do
		if player.y < b.y + b.height and player.y + player.height > b.y and player.x < b.x + b.width and player.x + player.width > b.x
		or
		player.x < b.x + b.width and player.x + player.width > b.x and player.y < b.y + b.height and player.y + player.height > b.y
		then
			if debounce == false then
				debounce = true
				b.health = b.health - 1
				if b.health == 0 then
					table.remove(enemies,o)
				else
					b.xVel = b.xVel + player.xVel
					b.yVel = b.yVel + player.yVel
				end
				love.audio.play(hurt)
				damage.spawn(b.damage,"Hurt")
				player.health = player.health - b.damage
				player.xVel = player.xVel * -2
				player.yVel = player.yVel * -2
				if player.xVel <= 1 and player.xVel >= -1 then
					player.xVel = player.xVel + b.xVel
				end
				if player.yVel <= 1 and player.yVel >= -1 then
					player.yVel = player.yVel + b.yVel
				end
				love.timer.sleep(.01)
				debounce = false
			end
		end
	end
end


function enemies.draw()
	for i,v in ipairs(enemies) do
		if v.color == "green" then
			love.graphics.setColor(0,255,0)
			love.graphics.rectangle("fill", v.x, v.y, v.width, v.height)
		elseif v.color == "blue" then
			love.graphics.setColor(0,0,255)
			love.graphics.rectangle("fill", v.x, v.y, v.width, v.height)
		elseif v.color == "pink" then
			love.graphics.setColor(255,0,255)
			love.graphics.rectangle("fill", v.x, v.y, v.width, v.height)
		elseif v.color == "yellow" then
			love.graphics.setColor(255,255,0)
			love.graphics.rectangle('line', v.x, v.y, v.width, v.height)
		elseif v.color == "lightBlue" then
			love.graphics.setColor(0,255,255)
			love.graphics.rectangle('line', v.x, v.y, v.width, v.height)
		end
		
	end
end

function waitForNextWave()
	if #enemies > 0 then
		waiting = true
	else
		powerups.spawn("Health")
		waiting = false
		wave = wave + 1
		enemyCount = 0
		if wave >= 3 then
			enemyLimit = enemyLimit + 5
		else
			enemyLimit = enemyLimit + 10
		end
		
		print("Next Wave!: "..wave)
	end
end

function updateEnemies(dt)
	enemies.move(dt)
	enemies.checkHit()
		if timer > timeLimit and gamestate == "Playing" and waiting == false then
			if wave == 1 then
				enemies.spawn("green",2)
			elseif wave == 2 then
				enemies.spawn("green",2)
				enemies.spawn("blue",3)
			elseif wave == 3 then
				enemies.spawn("green",2)
				enemies.spawn("blue",3)
				enemies.spawn("pink",4)
			elseif wave == 4 then
				enemies.spawn("blue",3)
				enemies.spawn("pink",4)
				enemies.spawn("yellow",5)
			elseif wave == 5 then
				enemies.spawn("pink",4)
				enemies.spawn("lightBlue",5)
				enemies.spawn("yellow",5)
			end
			enemyCount = enemyCount + 1
			timer = 0
		elseif waiting == true and gamestate == "Playing" then
			waitForNextWave()
		end

		if enemyCount > enemyLimit then
			waitForNextWave()
		end
		timer = timer + 1
		
		
end

function drawEnemies()
	love.graphics.setColor(255,255,255)
	love.graphics.print("Wave: ", 376, 10)
	love.graphics.print(wave,415,10)
	enemies.draw()
end