transition = {}


function transition.update(dt)
	if tType == "Play" then
		flux.to(title,.5,{y = -800})
		flux.to(background,.5,{y = 0})
		flux.update(dt)
		if background.y < 1 then
			gamestate = "Playing"
		end
	end
	if tType == "Options" then
		flux.to(title,.5,{y = 800})
		flux.to(options,.5,{y = 0})
		flux.update(dt)
		if options.y > -.1 then
			gamestate = "Options"
		end
	end
	if tType == "GameOver" then
		flux.to(gameOver,.5,{y = -800})
		flux.to(background,.5,{y = 0})
		flux.update(dt)
		if background.y < 1 then
			gamestate = "Playing"
		end
	end
end

function transition.draw()
	if tType == "Play" then
		love.graphics.draw(title.pic,title.x,title.y)
		love.graphics.draw(background.pic,background.x,background.y)
	elseif tType == "Options" then
		love.graphics.draw(title.pic,title.x,title.y)
		love.graphics.draw(options.pic,options.x,options.y)
	elseif tType == "GameOver" then
		love.graphics.draw(gameOver.pic,gameOver.x,gameOver.y)
		love.graphics.draw(background.pic,background.x,background.y)
	end
end